System.ServiceModel 4.0.0.0 System.Collections.ObjectModel.KeyedCollection<System.Type,TItem> System.Type TItem To be added.

Only one object of each type is allowed in the collection because the type is the key and each key must be unique. But you can find objects of different types.

Provides a collection whose items are types that serve as keys.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  T To be added.

  Returns the first item in the collection of a specified type.

  The object of type if it is a reference type and the value of type if it is a value type. The default value of the type is returned if no object of type is contained in the collection: null if it is a reference type and 0 if it is a value type.

  The type of item in the collection to find.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<T> To be added.

  Returns a collection of objects of type that are contained in the .

  A of type that contains the objects of type from the original collection.

  The type of item in the collection to find.
- Method
  4.0.0.0
  System.Type `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  T To be added.

  Removes an object of a specified type from the collection.

  The object removed from the collection.

  The type of item in the collection to remove.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<T> To be added.

  Removes all of the elements of a specified type from the collection.

  The that contains the objects of type from the original collection.

  The type of item in the collection to remove.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.